// JScript 文件
//提交按钮验证,验证所有
function CheckAll(){
    var ok=true;
    //验证用户名
    var user=CheckUserName();
    if(user<0)
    {
        ok=false;
        document.getElementById("div_uname_rule").style.display="inline";
        if(user==-1)
        {
            //验证是否为空
            document.getElementById("usernametips").innerHTML="请输入用户名!";
            document.getElementById("div_uname_rule").style.display="inline";
            document.getElementById("div_uname_rule").clssName="info-pop I-error";
        }
        else if(user==-2)
        {
            //验证是否为数字
            document.getElementById("usernametips").innerHTML="用户名只能包含_,英文字母，数字!";
            document.getElementById("uname_ico_err").style.display="inline";
            document.getElementById("div_uname_rule").clssName="info-pop I-error";
        }
        else if(user==-3)
        {
            //验证字符长度是否超出指定范围
            document.getElementById("usernametips").innerHTML="输入的用户名长度过短!";
            document.getElementById("uname_ico_err").style.display="inline";
            document.getElementById("div_uname_rule").className="info-pop I-error";
        }
        else if(user==-4)
        {
            document.getElementById("usernametips").innerHTML="此用户名已经被注册,请重新填写!";
            document.getElementById("uname_ico_err").style.display="inline";
            document.getElementById("div_uname_rule").className="info-pop I-error";
        }
    }
    //验证密码
    var pass=CheckPass();
    if(pass<0)
    {
        ok=false;
        document.getElementById("div_password_rule").style.display="inline";
        if(pass==-1)
        {
            //验证是否为空
            document.getElementById("passtips").innerHTML="请输入登陆密码!";
            document.getElementById("password_ico_err").style.display="inline";
            document.getElementById("div_password_rule").clssName="info-pop I-error";
        }
        else if(pass==-2){
            //验证是否为数字
            document.getElementById("passtips").innerHTML="密码只能包含_,英文字母，数字!";
            document.getElementById("password_ico_err").style.display="inline";
            document.getElementById("div_password_rule").clssName="info-pop I-error";
        }
        else if(pass==-3)
        {
             //验证字符长度是否超出指定范围
            document.getElementById("passtips").innerHTML="输入的登陆密码长度小于6!";
            document.getElementById("password_ico_err").style.display="inline";
            document.getElementById("div_password_rule").className="info-pop I-error";
        }
    }
    //确认密码验证
    var savepass=CheckPassSave();
    if(savepass<0)
    {
        ok=false;
        document.getElementById("div_passwordconfirm_err").style.display="inline";
        if(savepass==-1){
             //验证是否为空
            document.getElementById("div_passwordconfirm_err_info").innerHTML="请输入确认密码!";
            document.getElementById("passwordconfirm_ico_err").style.display="inline";
            document.getElementById("div_passwordconfirm_err").clssName="info-pop I-error";
        }
        else if(savepass==-2){
            //验证是否为数字
            document.getElementById("div_passwordconfirm_err_info").innerHTML="密码只能包含_,英文字母，数字!";
            document.getElementById("passwordconfirm_ico_err").style.display="inline";
            document.getElementById("div_passwordconfirm_err").clssName="info-pop I-error";
        }
        else if(savepass==-3){
            //验证字符长度是否超出指定范围
            document.getElementById("div_passwordconfirm_err_info").innerHTML="输入的登陆密码长度小于6!";
            document.getElementById("passwordconfirm_ico_err").style.display="inline";
            document.getElementById("div_passwordconfirm_err").className="info-pop I-error";
        }
        else if(savepass==-4)
        {
            //验证字符长度是否超出指定范围
            document.getElementById("div_passwordconfirm_err_info").innerHTML="两次输入的密码不一致!";
            document.getElementById("passwordconfirm_ico_err").style.display="inline";
            document.getElementById("div_passwordconfirm_err").className="info-pop I-error";
        }
           
    }
    //邮箱验证
    var mail=CheckMail();
    if(mail<0)
    {
    
        ok=false;
        document.getElementById("div_mail_err").style.display="inline";
        if(mail==-1){
             //验证是否为空
            document.getElementById("div_mail_err_info").innerHTML="请输入邮箱地址!";
            document.getElementById("mail_ico_err").style.display="inline";
            document.getElementById("div_mail_err").clssName="info-pop I-error";
        }
        else if(mail==-2){
            document.getElementById("div_mail_err_info").innerHTML="请输入正确的邮箱地址!如:ayong@zfarm.cn";
            document.getElementById("mail_ico_err").style.display="inline";
            document.getElementById("div_mail_err").clssName="info-pop I-error";
        }
        else if(mail==-3){
            document.getElementById("div_mail_err_info").innerHTML="该邮箱已经被使用,请重新输入!";
            document.getElementById("mail_ico_err").style.display="inline";
            document.getElementById("div_mail_err").clssName="info-pop I-error";
        }
    }
    //验证验证码
    var code=CheckCode();
    if(code<0)
    {
        ok=false;
        document.getElementById("div_authcode_err").style.display="inline";
        if(code==-1){
             //验证是否为空
            document.getElementById("div_authcode_err_info").innerHTML="请输入验证码!";
            document.getElementById("authcode_ico_err").style.display="inline";
            document.getElementById("div_authcode_err").clssName="info-pop I-error";
        }
        else if(code==-2){
             document.getElementById("div_authcode_err_info").innerHTML="验证码只允许是数字!";
             document.getElementById("authcode_ico_err").style.display="inline";
             document.getElementById("div_authcode_err").clssName="info-pop I-error";
        }
        else if(code==-3){
            document.getElementById("div_authcode_err_info").innerHTML="验证码长度为4位数!";
            document.getElementById("authcode_ico_err").style.display="inline";
            document.getElementById("div_authcode_err").clssName="info-pop I-error";
        }
        else if(code==-4) {
            document.getElementById("div_authcode_err_info").innerHTML="请输入正确的验证码!";
            document.getElementById("authcode_ico_err").style.display="inline";
            document.getElementById("div_authcode_err").clssName="info-pop I-error";
        
        }
    }
  
    if(ok==true)
    {
        
        document.getElementById("reg").style.display="none";
        document.getElementById("tips").style.display="inline";
        //获取文本值
         //用户名
        var username=document.getElementById("username").value;
        var pass=document.getElementById("password").value;
        var mail=document.getElementById("mail").value;
        var code=document.getElementById("authcode").value;
        var nicheng=document.getElementById("nicheng").value;
        var value="u_name="+username+"&u_pass="+pass+"&u_mail="+mail+"&nicheng="+nicheng;
        //调用Ajax方法提交数据
        PostPage(value);
        //调用回传方法
        var getvalue=GetValue();
        
        if(getvalue=="-2")
        {
            alert("会员注册失败,请联系网站管理员!");
            document.getElementById("reg").style.display="inline";
            document.getElementById("tips").style.display="none";
        }
        else
        {
            alert("恭喜你,你已经成功注册为本站会员,系统将自动跳转到登陆页面!");
            window.location.href="login.aspx";
        }
    }
    return ok;
   
}
/*验证验证码开始*/
function CheckCode(){
    //获取验证码
    var getcode=document.getElementById("Code").innerHTML;
    var code=document.getElementById("authcode").value;
    //提示信息
    var tips=document.getElementById("div_authcode_err_info");
    //样式框
    var css=document.getElementById("div_authcode_err");
    //正确信息提示图片
    var correct=document.getElementById("authcode_ico_ok");
    //错误信息提示图片
    var error=document.getElementById("authcode_ico_err");
    
    if(code=="")
    {
        //验证是否为空
        tips.innerHTML="请输入验证码!";
        error.style.display="inline";
        css.clssName="info-pop I-error";
        return -1;
    }
    else if(!/^[0-9]*$/.test(code))
    {
        tips.innerHTML="验证码只允许是数字!";
        error.style.display="inline";
        css.clssName="info-pop I-error";
        return -2;
    }
    else if(code.length<4)
    {
        tips.innerHTML="验证码长度为4位数!";
        error.style.display="inline";
        css.clssName="info-pop I-error";
        return -3;
    }
    else if(getcode!=code)
    {
        return -4;
    }
    else
    {
         tips.innerHTML="验证码为4位纯数字!";
         css.style.display="none";
         error.style.display="none";
         correct.style.display="inline";
         return 1;
    }
}
/*验证验证码结束*/
/*验证电子邮箱开始*/
function CheckMail(){
    var mail=document.getElementById("mail").value;
    //提示信息
    var tips=document.getElementById("div_mail_err_info");
    //样式框
    var css=document.getElementById("div_mail_err");
    //正确信息提示图片
    var correct=document.getElementById("mail_ico_ok");
    //错误信息提示图片
    var error=document.getElementById("mail_ico_err");
    
    if(mail=="")
    {
        //验证是否为空
        tips.innerHTML="请输入邮箱地址!";
        error.style.display="inline";
        css.clssName="info-pop I-error";
        return -1;
    }
    else if(!/\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*/.test(mail))
    {
         tips.innerHTML="请输入正确的邮箱地址!如:ayong@zfarm.cn";
        error.style.display="inline";
        css.clssName="info-pop I-error";
        return -2;
    }
    else
    {
        PostPage("mail="+mail);
        if(GetValue()=="false")
        {
            tips.innerHTML="该邮箱已经被使用,请重新输入!";
            error.style.display="inline";
            css.clssName="info-pop I-error";
            return -3;
        }
        else
        {
             tips.innerHTML="电子邮箱格式,如:ayong@zfarm.cn";
             css.style.display="none";
             error.style.display="none";
             correct.style.display="inline";
             return 1;
         }
    }
}

/*验证电子邮箱结束*/
/*密码验证开始*/
function CheckPassSave(){
    var pass=document.getElementById("password").value;
    
    var savepass=document.getElementById("passwordconfirm").value;
    //提示信息
    var tips=document.getElementById("div_passwordconfirm_err_info");
    //样式框
    var css=document.getElementById("div_passwordconfirm_err");
    //正确信息提示图片
    var correct=document.getElementById("passwordconfirm_ico_ok");
    //错误信息提示图片
    var error=document.getElementById("passwordconfirm_ico_err");
    if(savepass=="")
    {
        //验证是否为空
        tips.innerHTML="请输入确认密码!";
        error.style.display="inline";
        css.clssName="info-pop I-error";
        return -1;
    }
    else if(!/^\w+$/.test(savepass))
    {
        //验证是否为数字
        tips.innerHTML="密码只能包含_,英文字母，数字!";
        error.style.display="inline";
        css.clssName="info-pop I-error";
        return -2;
    }
    else if(savepass.length<6)
    {
        //验证字符长度是否超出指定范围
        tips.innerHTML="输入的登陆密码长度小于6!";
        error.style.display="inline";
        css.className="info-pop I-error";
        return -3;
    }
    else if(pass!=savepass)
    {
        //验证字符长度是否超出指定范围
        tips.innerHTML="两次输入的密码不一致!";
        error.style.display="inline";
        css.className="info-pop I-error";
        return -4;
    }
    else
    {
         tips.innerHTML="6～16个字符（字母、数字、特殊符号）,区分大小写";
         css.style.display="none";
         error.style.display="none";
         correct.style.display="inline";
         return 1;
    }
}

function CheckPass(){
    var pass=document.getElementById("password").value;
    //提示信息
    var tips=document.getElementById("passtips");
    //样式框
    var css=document.getElementById("div_password_rule");
    //正确信息提示图片
    var correct=document.getElementById("password_ico_ok");
    //错误信息提示图片
    var error=document.getElementById("password_ico_err");
    if(pass=="")
    {
        //验证是否为空
        tips.innerHTML="请输入登陆密码!";
        error.style.display="inline";
        css.clssName="info-pop I-error";
        return -1;
    }
    else if(!/^\w+$/.test(pass))
    {
        //验证是否为数字
        tips.innerHTML="密码只能包含_,英文字母，数字!";
        error.style.display="inline";
        css.clssName="info-pop I-error";
        return -2;
    }
    else if(pass.length<6)
    {
        //验证字符长度是否超出指定范围
        tips.innerHTML="输入的登陆密码长度小于6!";
        error.style.display="inline";
        css.className="info-pop I-error";
        return -3;
    }
    else
    {
         tips.innerHTML="6～16个字符（字母、数字、特殊符号）,区分大小写";
         css.style.display="none";
         error.style.display="none";
         correct.style.display="inline";
         return 1;
    }
    
    
}

/*密码验证结束*/
/*验证用户名开始*/
function CheckUserName(){
    //用户名
    var username=document.getElementById("username").value;
    //提示信息
    var tips=document.getElementById("usernametips");
    //样式框
    var css=document.getElementById("div_uname_rule");
    //正确信息提示图片
    var correct=document.getElementById("uname_ico_ok");
    //错误信息提示图片
    var error=document.getElementById("uname_ico_err");
    if(username=="")
    {
        //验证是否为空
        tips.innerHTML="请输入用户名!";
        error.style.display="inline";
        css.clssName="info-pop I-error";
        return -1;
    }
    else if(!/^\w+$/.test(username))
    {
        //验证是否为数字
        tips.innerHTML="用户名只能包含_,英文字母，数字!";
        error.style.display="inline";
        css.clssName="info-pop I-error";
        return -2;
    }
    else if(username.length<5)
    {
        //验证字符长度是否超出指定范围
        tips.innerHTML="输入的用户名长度过短!";
        error.style.display="inline";
        css.className="info-pop I-error";
        return -3;
    }
    
    else
    {
        PostPage("username="+username);
        if(GetValue()=="false")
        {   
            tips.innerHTML="此用户名已经被注册,请重新填写!";
            error.style.display="inline";
            css.className="info-pop I-error";
            return -4;
        }
        else
        {
            tips.innerHTML="·6~30个字符，包括字母、数字、下划线<BR>·字母开头，字母和数字结尾，不区分大小写<BR>";
            css.style.display="none";
            error.style.display="none";
            correct.style.display="inline";
            return 1;
        }
    }    
}
  //定义公用变量
     var XmlHttp;
    //创建请求对象
    function CreateXMLHttpRequest()
    {
       
       if (window.XMLHttpRequest) 
       { 
         XmlHttp = new XMLHttpRequest(); 
       } 
       else if (window.ActiveXObject) 
       { 
          try {
                XmlHttp = new ActiveXObject("Msxml2.XMLHTTP"); 
          } 
          catch (e1) {
            try { 
                XmlHttp = new ActiveXObject("Microsoft.XMLHTTP"); 
             } 
             catch (e2) 
             { } 
         } 
       }
       
    }
    //发送请求
    function PostPage(value)
    {
       //用户名
      // var username=document.getElementById("username").value;
       //调用创建请求对象的方法
       CreateXMLHttpRequest();
       //建立请求连接
       XmlHttp.open("Post","register.aspx",false)
       //定义表单上传
       XmlHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded;charset=UTF-8");
       //设置回调函数
       XmlHttp.onreadystatechange=GetValue;
       //发送请求
       XmlHttp.send(value);   
    }
    //响应请求
    function GetValue()
    {
        if(XmlHttp.readyState==4)
        {
            if(XmlHttp.status==200)
            {
                var test=XmlHttp.responseText;
                return test;
            }
            else
            {
              return "第二步出错";
            }
        }
        else
        {
            return "第一步出错";
        }
    } 
/*验证用户名结束*/